#ifndef __CELLTRANSITIONLIST_H__
#define __CELLTRANSITIONLIST_H__

class CellTransitionList
{
protected:
  // I'm sure there's a better C++ way to do this, but STL vector seems
  // very convoluted to me.
  int nelements;
  int nspace;
  CellTransition **elements;
  void grow (void);

public:
  CellTransitionList ();
  ~CellTransitionList ();

  void add (CellTransition *transit);
  const string toString () const;
  void resolveStates (CellProgram *);
  void resolveChemicals (CellProgram *);

  /*@null@*/ CellTransition *findMatch (Environment *p_env) const;
};

# endif
