#ifndef __EMISSIONLIST_H__
#define __EMISSIONLIST_H__

class EmissionList
{
 private:
  // I'm sure there's a better C++ way to do this, but STL vector seems
  // very convoluted to me.
  int nelements;
  int nspace;
  int current;
  Emission **elements;
  void grow (void);

 public:
  EmissionList ();
  ~EmissionList ();

  void add (Emission *conc);
  void resolveChemicals (CellProgram *);
  const string toString () const;

  void startIterator ();
  Emission *getNext ();
  bool hasMore ();
  void finishIterator ();
};

# endif
