/* 
** SimInstructions.h
*/

#ifndef __SIM_INSTRUCTIONS_H__
#define __SIM_INSTRUCTIONS_H__

class SimInstructions
{
 private:
  void grow ();
  int nelements;
  int nspace;
  SimInstruction **elements;
  int current;

 public:
  SimInstructions ();
  ~SimInstructions ();

  void loadInstructions (FILE *f);
  void add (SimInstruction *);
  void interpretInstructions (CellSimulator *);
} ;

#endif

