/*
** constants.h
*/

# ifndef I__CONSTANTS__I
# define I__CONSTANTS__I

/*
** Display width and height:
*/

#define W_WIDTH  1000
#define W_HEIGHT 1000

#define INITIAL_CELL_RADIUS 0.6

#define MAX_NEIGHBOURS 20
#define MAX_ENV 5
#define MAX_CELL_STATES 100

#define MAX_LINE 1024

#define CELL_NULL_STATE -1

/* Math constants for PI */
#define M_PI	3.1415926
#define M_PI_2	1.5707963

# define BASESIZE 4
# define CELLS_BASE_SIZE 128
# define BUFSIZE 128
# define MAX_CHEMICALS 128

# else
# error "Multiple include"
# endif
